#ifndef SICONOSCONFIG_H
#define SICONOSCONFIG_H

#define WITH_CMAKE
#define HAVE_SICONOS_KERNEL
#define HAVE_SICONOS_IO
#define HAVE_SICONOS_MECHANICS
#define HAVE_SICONOS_CONTROL
/* #undef HAVE_PATHFERRIS */
/* #undef HAVE_MLCPSIMPLEX */
/* #undef HAVE_TIME_H */
/* #undef HAVE_SYSTIMES_H */
/* #undef HAVE_MPI */
#define WITH_MUMPS
#define WITH_UMFPACK
/* #undef WITH_TIMERS */
/* #undef DUMP_PROBLEM */
/* #undef WITH_FCLIB */
/* #undef BUILD_AS_CPP */
#define WITH_LPSOLVE
#define HAS_EXTREME_POINT_ALGO
/* #undef HAVE_VTK */
#define HAVE_BULLET
/* #undef HAVE_OCC */
/* #undef HAVE_SERIALIZATION */
/* #undef WITH_SERIALIZATION */
/* #undef HAVE_GENERATION */
#define WITH_HDF5

// Is cblas available? 
#define HAS_CBLAS

// Where does it comes from? 
/* #undef HAS_MKL_CBLAS */
/* #undef HAS_ACCELERATE */
/* #undef HAS_ATLAS_CBLAS */
#define HAS_OpenBLAS // it *MAY* also includes lapacke or lapack from netlib
/* #undef HAS_GenericCBLAS */

// Which Lapack? 
/* #undef HAS_MKL_LAPACKE */
/* #undef HAS_ATLAS_LAPACK */
#define HAS_LAPACKE // lapacke.h has been found
/* #undef HAS_CLAPACK */
#define HAS_OpenBLAS_LAPACK

// Which functions are defined in lapack? 
#define HAS_LAPACK_DGESVD
#define HAS_LAPACK_DTRTRS
#define HAS_LAPACK_DGELS

// Some definitions required for boost numeric_bindings
#if defined(HAS_CBLAS)
#define BOOST_NUMERIC_BINDINGS_BLAS_CBLAS
#endif

#if defined(HAS_MKL_CBLAS)
#define BOOST_NUMERIC_BINDINGS_BLAS_MKL
#endif

// Gams stuff
/* #undef GAMS_MODELS_SOURCE_DIR */
/* #undef GAMS_MODELS_SHARE_DIR */
/* #undef GAMS_DIR */
/* #undef HAVE_GAMS_C_API */

// Which version of C++ was used to compile siconos, needed for swig
#define SICONOS_CXXVERSION 199711L
#define SICONOS_USE_BOOST_FOR_CXX11
#define SICONOS_USE_MAP_FOR_HASH
/* #undef SICONOS_STD_SHARED_PTR */
/* #undef SICONOS_STD_ARRAY */
/* #undef SICONOS_STD_UNORDERED_MAP */
/* #undef SICONOS_STD_TUPLE */
/* #undef SICONOS_STD_TO_STRING */
/* #undef SICONOS_STD_FUNCTIONAL */

// are int 64 bits longs
#define SICONOS_INT64

// use to force 32 bits int when creating numpy array
// Useful to support old scipy version (< 0.14.0)
/* #undef SICONOS_FORCE_NPY_INT32 */
#endif
